Tryton - Issues

 

Issue2179

Title migrate existing codereview to the new one
Priority feature Status closed
Superseder Being less Google dependent, Replace Rietveld
View: 2177, 2178
Nosy List ced, pilou
Type performance Components
Assigned To Keywords
Reviews

Created on 2011-10-10.20:24:12 by ced, last changed by ced.

Messages
msg38945 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-11.13:07:47
On issue2178, msg38944 may lead to a migration and also we have now a paid account which remove the initial performance issue so I propose to close this one.
msg20891 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2015-03-23.09:54:59
This can help for migration: https://groups.google.com/d/topic/codereview-discuss/sXZCZNxaHn4/discussion
msg19067 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-12-03.10:00:10
On 03 Dec 02:29, Pierre-Louis Bonicoli wrote:
> Here is my progress. I am able to:
> 1. Setup a codereview (on django) with roundup (done)

Are the features the same?
For example, the email notification and reply.

> 2. Fetch the data from Google Cloud datastore (todo: 'content' and 'patchset' entities)
> 3. Load the data into the local codereview (using Python scripts):
> - codereview_issue, codereview_message and codereview_patch tables: done
> - codereview_content, codereview_patchset and codereview_comment tables: in progress
> 
> Last, matching users in the roundup table _user (current users of bugs.tryton.org) and the codereview users (current users of codereview.tryton.org) will be needed.

I think this could be done in a second step if it is too much complicate
for now.
msg19066 (view) Author: [hidden] (pilou) (Tryton committer) Date: 2014-12-03.02:29:52
Here is my progress. I am able to:
1. Setup a codereview (on django) with roundup (done)
2. Fetch the data from Google Cloud datastore (todo: 'content' and 'patchset' entities)
3. Load the data into the local codereview (using Python scripts):
- codereview_issue, codereview_message and codereview_patch tables: done
- codereview_content, codereview_patchset and codereview_comment tables: in progress

Last, matching users in the roundup table _user (current users of bugs.tryton.org) and the codereview users (current users of codereview.tryton.org) will be needed.
msg18925 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-11-20.12:56:29
Maybe this guide is better: http://www-cs-students.stanford.edu/~silver/gae.html
msg18924 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2014-11-20.12:49:08
Howto backup data: https://cloud.google.com/appengine/docs/adminconsole/datastoreadmin#backing_up_data
History
Date User Action Args
2018-03-11 13:07:47cedsetstatus: chatting -> closed
messages: + msg38945
2018-03-11 13:05:21cedlinkissue2177 superseder
2015-03-23 09:54:59cedsetmessages: + msg20891
2014-12-03 10:00:12cedsetmessages: + msg19067
2014-12-03 02:29:53pilousetnosy: + pilou
messages: + msg19066
2014-11-20 12:56:30cedsetmessages: + msg18925
2014-11-20 12:49:09cedsetstatus: unread -> chatting
nosy: + ced
messages: + msg18924
2011-10-10 20:24:12cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)